---
title: "Create a finalized workflow graph request via approval."
slug: "create-a-finalized-workflow-graph-request-via-approval"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a finalized workflow graph request via approval.

Post/v1/workflows/final/graphs

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='8ee08dfe-ac5f-47c8-a322-3d31096751bd'>application/json</option>
</select>Expand Allobject  namestring    Required
descriptionstring    Required
group_idstring  (uuid)    
contentsobject (CreateWorkflowVersionRequest)  Requiredobjectsobject  Requiredproperty*object (WorkflowObject)  additionalPropertiesnamestring    Required
user_idstring  (uuid)    
descriptionstring    
refobject (WorkflowObjectRef)  Requiredplaceholderobject (WorkflowObjectRefPlaceholder)  kindstring    RequiredValid values[
  "dataset",
  "app",
  "script"
]
acct_idstring  (uuid)    
group_idstring  (uuid)    

datasetobject (WorkflowObjectRefDataset)  dataset_idstring  (uuid)    Required
acct_idstring  (uuid)    
group_idstring  (uuid)    

appobject (WorkflowObjectRefApp)  image_idstring  (uuid)    Required
config_idstring    Required
acct_idstring  (uuid)    
group_idstring  (uuid)    

edgesobject  Requiredproperty*object (WorkflowEdge)  additionalPropertiessourceobject (WorkflowEdgeLink)  Requiredidstring    Required
portstring    

targetobject (WorkflowEdgeLink)  Requiredidstring    Required
portstring    

metadataobject (WorkflowMetadata)  nodesobject  Requiredproperty*object  additionalProperties

parentobject (WorkflowLinkMetadata)  

The final workflow from which this draft was derived. This field may point to a deleted final workflow in which you should treat it as if it's not present.

graph_idstring  (uuid)    Required
source_versioninteger    Required

projectstring    

labelsobject  property*string    additionalProperties

Responses200<select class='api-response-data' aria-label='Media type'><option value='25abec02-fb06-4b21-b385-34e324004dd3'>application/json</option>
</select>Expand Allobject  graph_idstring  (uuid)    
namestring    
group_idstring  (uuid)    
acct_idstring  (uuid)    
created_atinteger  (int64)    

Dataset creation time (seconds since epoch).

updated_atinteger  (int64)    

Last update UNIX timestamp (seconds since epoch).

descriptionstring    
versionsobject  property*object (FinalWorkflowGraph)  additionalPropertiescreated_atinteger  (int64)    

Dataset creation time.

objectsobject  property*object (WorkflowObject)  additionalPropertiesnamestring    
user_idstring  (uuid)    
descriptionstring    
refobject (WorkflowObjectRef)  placeholderobject (WorkflowObjectRefPlaceholder)  kindstring    Valid values[
  "dataset",
  "app",
  "script"
]
acct_idstring  (uuid)    
group_idstring  (uuid)    

datasetobject (WorkflowObjectRefDataset)  dataset_idstring  (uuid)    
acct_idstring  (uuid)    
group_idstring  (uuid)    

appobject (WorkflowObjectRefApp)  image_idstring  (uuid)    
config_idstring    
acct_idstring  (uuid)    
group_idstring  (uuid)    

edgesobject  property*object (WorkflowEdge)  additionalPropertiessourceobject (WorkflowEdgeLink)  idstring    
portstring    

targetobject (WorkflowEdgeLink)  idstring    
portstring    

metadataobject (WorkflowMetadata)  nodesobject  property*object  additionalProperties

parentobject (WorkflowLinkMetadata)  

The final workflow from which this draft was derived. This field may point to a deleted final workflow in which you should treat it as if it's not present.

graph_idstring  (uuid)    
source_versioninteger    

projectstring    

runtime_configsobject  property*object (WorkflowObjectFinalApp)  additionalPropertiesimage_idstring  (uuid)    
config_idstring    
deploymentobject (WorkflowAppDeployment)  

Deployment info for an app. Exactly one of kubernetes or aci field must be set.

kubernetesobject (WorkflowAppKubernetes)  job_specobject  

aciobject (WorkflowAppAci)  exposed_ports Array of object (DockerNetworkPort)   

List of ports exposed for the azure container instance.

object  

A port exposed by a docker container.

portinteger    

A valid, specific port number from 1..65535 (inclusive).

protocolstring    

Protocol Associated with a Port exposed by a docker container.

Valid values[
  "Tcp",
  "Udp"
]

env_varsobject  property*string    additionalProperties

child_nodes Array of string   string    

deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

labelsobject  property*string    additionalProperties

typestring    

Workflow is owned or Shared

Valid values[
  "OWNED",
  "SHARED"
]
